function mdd1Exist() {
    var _flag = $('.switchAudio').css('margin-bottom');
    if (_flag) { return _flag == '1px'; }
    else { return false }
}

function onoffButton() {
    var rightthins = $('.rightthin');
    for (i = 0; i < rightthins.length; i++) {
        var texts = $(rightthins[i]).siblings();
        for (j = 0; j < texts.length; j++) {
            a_text = texts[j]
            var ch = a_text.clientHeight;
            var sh = a_text.scrollHeight;
            if (sh > ch + 10) { $(rightthins[i]).show(); }
            else if ($(a_text).css("-webkit-line-clamp") == 3) { $(rightthins[i]).hide(); }
            /*if(!ahandle.checked)*/
        }
    }
}

function bindOnoff() {
    if ($(".rightthin").attr('status') != 'bound') {
        $(".rightthin").bind('click', function () {

            var texts = $(this).siblings();
            for (j = 0; j < texts.length; j++) {
                a_text = texts[j];
                if ($(a_text).css("-webkit-line-clamp") == 3) {
                    $(a_text).css("-webkit-line-clamp", '999');
                }
                else { $(a_text).css("-webkit-line-clamp", '3'); }
            }
        });
    }
    $(".rightthin").attr('status', 'bound');

}

function checkPlatform() {
    var browser = {
        versions: function () {
            var u = navigator.userAgent;
            return {
                mobile: !!u.match(/AppleWebKit.*Mobile.*/), //是否为移动终端
                ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
                android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或uc浏览器
                eudic: u.indexOf('expBody') > -1 || u.indexOf('eudic') > -1,
                goldendict: u.indexOf('GoldenDict') > -1,
                eudicmac: u.indexOf('Mozilla') > -1
            };
        }(),
    }

    if (browser.versions.ios || browser.versions.android) {
        $('#frequencyBand').css({ "float": 'right', 'position': 'unset' });
    }
    if (browser.versions.eudic) {
        if (browser.versions.android) {
            var arr = [];
            // arr.push(new FontFace('Alegreya Sans', 'url(fonts/AlegreyaSans-Regular.ttf)', { display: 'swap' }));
            // arr.push(new FontFace('Alegreya Sans', 'url(fonts/AlegreyaSans-Bold.ttf)', { display: 'swap', weight: 'bold' }));
            // arr.push(new FontFace('Alegreya', 'url(fonts/Alegreya-Regular.ttf)', { display: 'swap' }));
            // arr.push(new FontFace('Alegreya', 'url(fonts/Alegreya-Bold.ttf)', { display: 'swap', weight: 'bold' }));
            // arr.push(new FontFace('Alegreya', 'url(fonts/Alegreya-Italic.ttf)', { display: 'swap', style: 'italic' }));
            // arr.push(new FontFace('Alegreya', 'url(fonts/Alegreya-Bolditalic.ttf)', { display: 'swap', style: 'italic', weight: 'bold' }));
            for (i = 0; i < arr.length; i++) {
                arr[i].load().then(function (loadFace) {
                    document.fonts.add(loadFace);
                });
            }
        } else if (!browser.versions.ios) {
            document.getElementsByTagName('karx')[0].style.fontSize = '16px';
        }
    }
    if(browser.versions.eudicmac){
        document.getElementsByTagName('karx')[0].classList.add("oulu");
    }
}


function prepare() {
    checkPlatform();
    onoffButton();
    bindOnoff();
    bindtab3();
}



function bindtab3() {
    if ($(".tab3").attr('status') != 'bound') {
        $(".tab3").bind('click', function () {
            tabfunc(this);
        })
    }
}


function tabfunc(thetab) {
    // console.log('ppp')
    // console.log($(xx).attr("type"))
    // console.log($(thetab).attr("type"))
    var type = $(thetab).attr("type"); // this 指当前发生事件的HTML元素，这里是<div>标签
    var typelist = ['tabq', 'tabc', 'tabt'];
    var a = false;
    var xx = $(thetab).parent().siblings("[type='" + type + "']");
    if (xx.is(":visible")) { a = true };
    if ($(thetab).attr('type') == 'tabc' && xx.attr('status') == 'notloaded') {
        idtocate = [
            ["c0-0", "History"],
            ["c0-0-0", "Medieval History"],
            ["c0-0-1", "Ancient History"],
            ["c0-0-1-0", "Classical History"],
            ["c0-0-1-0-0", "Roman History"],
            ["c0-0-1-0-1", "Ancient Greek History"],
            ["c0-0-1-1", "Ancient Egyptian History"],
            ["c0-0-2", "Archaeology"],
            ["c0-0-3", "Palaeography"],
            ["c0-1", "Consumables"],
            ["c0-1-0", "Food and Cooking"],
            ["c0-1-0-0", "Baking"],
            ["c0-1-0-1", "Cheese"],
            ["c0-1-1", "Tobacco"],
            ["c0-1-2", "Drink"],
            ["c0-1-2-0", "Wine"],
            ["c0-1-2-1", "Cider"],
            ["c0-1-2-2", "Beer"],
            ["c0-1-2-3", "Malting"],
            ["c0-1-2-4", "Distilling"],
            ["c0-2", "Military"],
            ["c0-2-0", "Fortification"],
            ["c0-2-1", "Armour"],
            ["c0-2-2", "Espionage"],
            ["c0-2-3", "Air Force"],
            ["c0-2-4", "Weaponry"],
            ["c0-2-4-0", "Gunnery and Firearms"],
            ["c0-3", "Organizations"],
            ["c0-3-0", "Freemasonry"],
            ["c0-3-1", "Scouting and Guiding"],
            ["c0-4", "Arts"],
            ["c0-4-0", "Visual Arts"],
            ["c0-4-0-0", "Sculpture"],
            ["c0-4-0-1", "Printmaking"],
            ["c0-4-0-2", "Engraving and Etching"],
            ["c0-4-0-3", "Painting and Drawing"],
            ["c0-4-0-3-0", "Drawing"],
            ["c0-4-0-3-1", "Painting"],
            ["c0-4-1", "Decorative Arts"],
            ["c0-4-1-0", "Enamelling"],
            ["c0-4-1-1", "Gilding"],
            ["c0-4-1-2", "Handwriting and Calligraphy"],
            ["c0-4-2", "Performing Arts"],
            ["c0-4-2-0", "Music"],
            ["c0-4-2-0-0", "Popular Music"],
            ["c0-4-2-0-1", "Jazz"],
            ["c0-4-2-0-2", "Bell-ringing"],
            ["c0-4-2-0-3", "Organ-playing"],
            ["c0-4-2-0-4", "World Music"],
            ["c0-4-2-1", "Dance"],
            ["c0-4-2-2", "Conjuring"],
            ["c0-4-2-3", "Ballet"],
            ["c0-4-2-4", "Theatre"],
            ["c0-4-3", "Film"],
            ["c0-4-4", "Literature"],
            ["c0-4-4-0", "Science Fiction"],
            ["c0-4-4-1", "Literary and Textual Criticism"],
            ["c0-4-4-2", "Prosody"],
            ["c0-4-4-3", "Rhetoric"],
            ["c0-5", "Drug use"],
            ["c0-6", "Manufacturing and Industry"],
            ["c0-6-0", "Building"],
            ["c0-6-0-0", "Glazing"],
            ["c0-6-0-1", "Plumbing"],
            ["c0-6-0-2", "Architecture"],
            ["c0-6-0-2-0", "Church Architecture"],
            ["c0-6-0-3", "Bricklaying"],
            ["c0-6-0-4", "Brickmaking"],
            ["c0-6-0-5", "Roofing"],
            ["c0-6-0-5-0", "Thatching"],
            ["c0-6-0-6", "Masonry"],
            ["c0-6-0-7", "Plastering"],
            ["c0-6-1", "Publishing and the Book Trade"],
            ["c0-6-1-0", "Journalism"],
            ["c0-6-1-1", "Publishing"],
            ["c0-6-2", "Salt-making"],
            ["c0-6-3", "Commercial Fishing"],
            ["c0-6-3-0", "Whaling"],
            ["c0-6-4", "Logging"],
            ["c0-6-5", "Mining"],
            ["c0-6-5-0", "Quarrying"],
            ["c0-6-5-1", "Coal Mining"],
            ["c0-6-5-2", "Gold-mining"],
            ["c0-6-6", "Civil Engineering"],
            ["c0-6-7", "Sugar Industry"],
            ["c0-6-8", "Oil and Gas Industry"],
            ["c0-6-9", "Manufacturing"],
            ["c0-6-9-0", "Metal Industry"],
            ["c0-6-9-1", "Papermaking"],
            ["c0-6-9-2", "Glass-making"],
            ["c0-7", "Philosophy"],
            ["c0-7-0", "Logic"],
            ["c0-8", "Language"],
            ["c0-8-0", "Linguistics"],
            ["c0-8-0-0", "Grammar"],
            ["c0-8-0-1", "Philology"],
            ["c0-8-0-2", "Phonetics"],
            ["c0-8-1", "Cryptography"],
            ["c0-9", "Sport and Leisure"],
            ["c0-9-0", "Hunting, Fishing, and Shooting"],
            ["c0-9-0-0", "Hawking and Falconry"],
            ["c0-9-0-1", "Angling"],
            ["c0-9-0-2", "Shooting"],
            ["c0-9-0-3", "Hunting"],
            ["c0-9-1", "Games"],
            ["c0-9-1-0", "Croquet"],
            ["c0-9-1-1", "Cards"],
            ["c0-9-1-1-0", "Cribbage"],
            ["c0-9-1-1-1", "Euchre"],
            ["c0-9-1-1-2", "Faro"],
            ["c0-9-1-1-3", "Bridge"],
            ["c0-9-1-1-4", "Whist"],
            ["c0-9-1-1-5", "Poker"],
            ["c0-9-1-1-6", "Piquet"],
            ["c0-9-1-2", "Quoits"],
            ["c0-9-1-3", "Gambling"],
            ["c0-9-1-3-0", "Betting"],
            ["c0-9-1-3-1", "Roulette"],
            ["c0-9-1-3-2", "Dice"],
            ["c0-9-1-4", "Darts"],
            ["c0-9-1-5", "Board Games"],
            ["c0-9-1-5-0", "Mah-jong"],
            ["c0-9-1-5-1", "Chess"],
            ["c0-9-1-5-2", "Backgammon"],
            ["c0-9-1-5-3", "Draughts"],
            ["c0-9-1-6", "Dominoes"],
            ["c0-9-2", "Horses and Riding"],
            ["c0-9-2-0", "Saddles and Harness"],
            ["c0-9-2-1", "Farriery"],
            ["c0-9-2-2", "Horse Racing"],
            ["c0-9-2-3", "Polo"],
            ["c0-9-3", "Sport"],
            ["c0-9-3-0", "Wrestling"],
            ["c0-9-3-1", "Racket Sports"],
            ["c0-9-3-1-0", "Badminton"],
            ["c0-9-3-1-1", "Real Tennis"],
            ["c0-9-3-1-2", "Squash"],
            ["c0-9-3-1-3", "Tennis"],
            ["c0-9-3-2", "Blood Sports"],
            ["c0-9-3-2-0", "Bullfighting"],
            ["c0-9-3-2-1", "Cockfighting"],
            ["c0-9-3-3", "Martial Arts"],
            ["c0-9-3-4", "Athletics"],
            ["c0-9-3-5", "Gymnastics"],
            ["c0-9-3-6", "Cycling"],
            ["c0-9-3-7", "Lacrosse"],
            ["c0-9-3-8", "Motor Racing"],
            ["c0-9-3-9", "Swimming"],
            ["c0-9-3-9-0", "Diving"],
            ["c0-9-3-10", "Parachuting"],
            ["c0-9-3-11", "Golf"],
            ["c0-9-3-12", "Boxing"],
            ["c0-9-3-13", "Winter Sports"],
            ["c0-9-3-13-0", "Curling"],
            ["c0-9-3-13-1", "Skiing"],
            ["c0-9-3-13-2", "Ice Hockey"],
            ["c0-9-3-13-3", "Skating"],
            ["c0-9-3-14", "Caving"],
            ["c0-9-3-15", "Basketball"],
            ["c0-9-3-16", "Football"],
            ["c0-9-3-16-0", "Association Football"],
            ["c0-9-3-16-1", "American Football"],
            ["c0-9-3-16-2", "Australian Rules Football"],
            ["c0-9-3-16-3", "Rugby Football"],
            ["c0-9-3-17", "Skateboarding"],
            ["c0-9-3-18", "Fencing"],
            ["c0-9-3-19", "Cricket"],
            ["c0-9-3-20", "Bowling"],
            ["c0-9-3-21", "Baseball"],
            ["c0-9-3-22", "Climbing"],
            ["c0-9-3-23", "Bowls"],
            ["c0-9-3-24", "Sumo"],
            ["c0-9-3-25", "Archery"],
            ["c0-9-3-26", "Billiards, Pool, and Snooker"],
            ["c0-9-3-27", "Weightlifting"],
            ["c0-9-3-28", "Water Sports"],
            ["c0-9-3-28-0", "Surfing"],
            ["c0-9-3-28-1", "Rowing"],
            ["c0-9-3-29", "Hockey"],
            ["c0-10", "Agriculture and Horticulture"],
            ["c0-10-0", "Bee-keeping"],
            ["c0-10-1", "Agriculture"],
            ["c0-10-1-0", "Sheep-shearing"],
            ["c0-10-1-1", "Hop-growing"],
            ["c0-10-2", "Horticulture"],
            ["c0-10-3", "Forestry"],
            ["c0-11", "Transport"],
            ["c0-11-0", "Astronautics"],
            ["c0-11-1", "Railways"],
            ["c0-11-2", "Inland Waterways"],
            ["c0-11-3", "Nautical"],
            ["c0-11-3-0", "Sailing"],
            ["c0-11-3-1", "Shipbuilding"],
            ["c0-11-3-2", "Navy"],
            ["c0-11-4", "Motoring"],
            ["c0-11-4-0", "Motorcycling"],
            ["c0-11-5", "Aviation"],
            ["c0-12", "Sciences"],
            ["c0-12-0", "Life Sciences"],
            ["c0-12-0-0", "Palaeontology"],
            ["c0-12-0-1", "Microbiology"],
            ["c0-12-0-1-0", "Viruses"],
            ["c0-12-0-1-1", "Bacteria"],
            ["c0-12-0-2", "Plants"],
            ["c0-12-0-2-0", "Fungi"],
            ["c0-12-0-2-1", "Plant Physiology"],
            ["c0-12-0-2-2", "Plant Pathology"],
            ["c0-12-0-3", "Taxonomy"],
            ["c0-12-0-4", "Cell Biology"],
            ["c0-12-0-5", "Genetics"],
            ["c0-12-0-6", "Ecology"],
            ["c0-12-0-7", "Animals"],
            ["c0-12-0-7-0", "Fish"],
            ["c0-12-0-7-1", "Birds"],
            ["c0-12-0-7-2", "Invertebrates"],
            ["c0-12-0-7-2-0", "Shells and Shellfish"],
            ["c0-12-0-7-2-1", "Insects"],
            ["c0-12-1", "Medicine"],
            ["c0-12-1-0", "Psychology"],
            ["c0-12-1-0-0", "Psychiatry"],
            ["c0-12-1-0-0-0", "Psychoanalysis"],
            ["c0-12-1-1", "Alternative Medicine"],
            ["c0-12-1-1-0", "Herbalism"],
            ["c0-12-1-2", "Massage"],
            ["c0-12-1-3", "Dentistry"],
            ["c0-12-1-4", "Embryology"],
            ["c0-12-1-5", "Physiology"],
            ["c0-12-1-6", "Anatomy"],
            ["c0-12-1-7", "Pathology"],
            ["c0-12-1-8", "Neurology"],
            ["c0-12-1-9", "Phrenology"],
            ["c0-12-1-10", "Obstetrics"],
            ["c0-12-1-11", "Surgery"],
            ["c0-12-1-12", "Ophthalmology"],
            ["c0-12-1-13", "Radiology"],
            ["c0-12-1-14", "Immunology"],
            ["c0-12-1-15", "Pharmacology"],
            ["c0-12-2", "Mathematics"],
            ["c0-12-2-0", "Statistics"],
            ["c0-12-2-1", "Geometry"],
            ["c0-12-3", "Physical Sciences"],
            ["c0-12-3-0", "Earth Sciences"],
            ["c0-12-3-0-0", "Minerals"],
            ["c0-12-3-0-1", "Geology"],
            ["c0-12-3-0-2", "Geography"],
            ["c0-12-3-0-2-0", "Oceanography"],
            ["c0-12-3-0-2-1", "Cartography"],
            ["c0-12-3-0-2-1-0", "Surveying"],
            ["c0-12-3-0-2-2", "Physical Geography"],
            ["c0-12-3-0-2-3", "Weather"],
            ["c0-12-3-0-3", "Soil Science"],
            ["c0-12-3-1", "Physics"],
            ["c0-12-3-1-0", "Optics"],
            ["c0-12-3-1-1", "Particle Physics"],
            ["c0-12-3-1-1-0", "Nuclear Physics"],
            ["c0-12-3-1-2", "Acoustics"],
            ["c0-12-3-1-3", "Spectroscopy"],
            ["c0-12-3-1-4", "Magnetism"],
            ["c0-12-3-1-5", "Dynamics"],
            ["c0-12-3-2", "Chemistry"],
            ["c0-12-3-2-0", "Alchemy"],
            ["c0-12-3-2-1", "Organic Chemistry"],
            ["c0-12-3-2-2", "Metals"],
            ["c0-12-3-2-3", "Crystals"],
            ["c0-12-3-3", "Astronomy"],
            ["c0-12-4", "Veterinary Medicine"],
            ["c0-13", "Law"],
            ["c0-13-0", "Roman Law"],
            ["c0-13-1", "British Law"],
            ["c0-13-1-0", "Scottish Law"],
            ["c0-13-1-1", "English Law"],
            ["c0-13-2", "North American Law"],
            ["c0-13-2-0", "United States Law"],
            ["c0-13-3", "Medieval Law"],
            ["c0-13-4", "Ecclesiastical Law"],
            ["c0-14", "Crafts and Trades"],
            ["c0-14-0", "Metalwork"],
            ["c0-14-1", "Bleaching"],
            ["c0-14-2", "Printing and Typography"],
            ["c0-14-3", "Ceramics"],
            ["c0-14-4", "Bookbinding"],
            ["c0-14-5", "Basket-making"],
            ["c0-14-6", "Postage Stamps"],
            ["c0-14-7", "Rope-making"],
            ["c0-14-8", "Fur Trade"],
            ["c0-14-9", "Carriage-building"],
            ["c0-14-10", "Clocks and Watches"],
            ["c0-14-11", "Hairdressing"],
            ["c0-14-12", "Gem-cutting"],
            ["c0-14-13", "Fireworks"],
            ["c0-14-14", "Dyeing"],
            ["c0-14-15", "Coopering"],
            ["c0-14-16", "Locksmithing"],
            ["c0-14-17", "Coins and Banknotes"],
            ["c0-14-18", "Textiles"],
            ["c0-14-18-0", "Spinning"],
            ["c0-14-18-1", "Silk"],
            ["c0-14-18-2", "Knitting"],
            ["c0-14-18-3", "Lace"],
            ["c0-14-18-4", "Wool"],
            ["c0-14-18-5", "Needlework"],
            ["c0-14-18-6", "Weaving"],
            ["c0-14-18-7", "Calico-printing"],
            ["c0-14-19", "Woodworking"],
            ["c0-14-20", "Costume"],
            ["c0-14-20-0", "Shoes"],
            ["c0-14-20-1", "Gloves"],
            ["c0-14-20-2", "Cosmetics"],
            ["c0-14-20-2-0", "Perfumery"],
            ["c0-14-20-3", "Jewellery"],
            ["c0-14-20-4", "Hats"],
            ["c0-14-20-5", "Tailoring"],
            ["c0-14-20-6", "Dressmaking"],
            ["c0-14-21", "Leather-making"],
            ["c0-14-22", "Soap-making"],
            ["c0-15", "Education"],
            ["c0-15-0", "University"],
            ["c0-15-0-0", "Cambridge University"],
            ["c0-15-0-1", "Oxford University"],
            ["c0-16", "Technology"],
            ["c0-16-0", "Radar"],
            ["c0-16-1", "Photography"],
            ["c0-16-2", "Telecommunications"],
            ["c0-16-2-0", "Telegraphy"],
            ["c0-16-2-1", "Broadcasting"],
            ["c0-16-2-1-0", "Television"],
            ["c0-16-2-1-1", "Radio"],
            ["c0-16-2-2", "Telephony"],
            ["c0-16-3", "Measurement"],
            ["c0-16-4", "Computing"],
            ["c0-16-5", "Recording"],
            ["c0-16-5-0", "Video Recording"],
            ["c0-16-5-1", "Sound Recording"],
            ["c0-16-6", "Engineering"],
            ["c0-16-6-0", "Hydraulics"],
            ["c0-16-6-1", "Mechanics"],
            ["c0-16-6-1-0", "Steam Engines"],
            ["c0-16-7", "Electrical"],
            ["c0-16-7-0", "Electrical Engineering"],
            ["c0-16-7-1", "Electronics"],
            ["c0-17", "Economics and Commerce"],
            ["c0-17-0", "Accounting"],
            ["c0-17-1", "Economics"],
            ["c0-17-2", "Finance"],
            ["c0-17-2-0", "Banking"],
            ["c0-17-2-1", "Insurance"],
            ["c0-17-2-2", "Stock Market"],
            ["c0-18", "Religion and Belief"],
            ["c0-18-0", "Religion"],
            ["c0-18-0-0", "Hinduism"],
            ["c0-18-0-1", "Islam"],
            ["c0-18-0-2", "Jainism"],
            ["c0-18-0-3", "Buddhism"],
            ["c0-18-0-4", "Sikhism"],
            ["c0-18-0-5", "Judaism"],
            ["c0-18-0-6", "Shinto"],
            ["c0-18-0-7", "Christianity"],
            ["c0-18-0-7-0", "Scottish Church"],
            ["c0-18-0-7-1", "Orthodox Church"],
            ["c0-18-0-7-2", "Quakerism"],
            ["c0-18-0-7-3", "Liturgical"],
            ["c0-18-0-7-4", "Methodism"],
            ["c0-18-0-7-5", "Ecclesiastical"],
            ["c0-18-0-7-6", "Anglican Church"],
            ["c0-18-0-7-7", "Roman Catholic Church"],
            ["c0-18-1", "Belief systems and practices"],
            ["c0-18-1-0", "Parapsychology"],
            ["c0-18-1-1", "Spiritualism"],
            ["c0-18-1-2", "Yoga"],
            ["c0-18-1-3", "Astrology"],
            ["c0-18-1-4", "Palmistry"],
            ["c0-18-1-5", "Occult"],
            ["c0-18-2", "Mythology"],
            ["c0-18-2-0", "Classical Mythology"],
            ["c0-19", "Social Sciences"],
            ["c0-19-0", "Cultural Anthropology"],
            ["c0-19-1", "Sociology"],
            ["c0-20", "Heraldry"],
            ["c0-21", "Politics"],
            ["c0-21-0", "Parliament"],
            ["c0-21-1", "United States Politics"],
            ["c0-21-2", "British Politics"],
            ["c1-0", "Australian Aboriginal"],
            ["c1-0-0", "Dharuk"],
            ["c1-0-1", "Diyari"],
            ["c1-0-2", "Wiradhuric"],
            ["c1-0-2-0", "Wiradhuri"],
            ["c1-0-2-1", "Kamilaroi"],
            ["c1-0-3", "Nyungar"],
            ["c1-1", "Austronesian"],
            ["c1-1-0", "Fijian"],
            ["c1-1-1", "Javanese"],
            ["c1-1-2", "Iban"],
            ["c1-1-3", "Malay"],
            ["c1-1-3-0", "Indonesian"],
            ["c1-1-4", "Tagalog"],
            ["c1-1-5", "Malagasy"],
            ["c1-1-6", "Polynesian"],
            ["c1-1-6-0", "Tahitian"],
            ["c1-1-6-1", "Hawaiian"],
            ["c1-1-6-2", "Maori"],
            ["c1-1-6-3", "Marquesan"],
            ["c1-1-6-4", "Tongan"],
            ["c1-1-6-5", "Samoan"],
            ["c1-1-7", "Balinese"],
            ["c1-2", "Basque"],
            ["c1-3", "Other sources"],
            ["c1-3-0", "invented"],
            ["c1-3-1", "place name"],
            ["c1-3-2", "origin uncertain"],
            ["c1-3-3", "imitative"],
            ["c1-3-4", "personal name"],
            ["c1-3-5", "initialism"],
            ["c1-3-6", "acronym"],
            ["c1-3-7", "error"],
            ["c1-4", "Indo-European"],
            ["c1-4-0", "Armenian"],
            ["c1-4-1", "Celtic"],
            ["c1-4-1-0", "Brittonic"],
            ["c1-4-1-0-0", "Breton"],
            ["c1-4-1-0-1", "Welsh"],
            ["c1-4-1-0-2", "Cornish"],
            ["c1-4-1-1", "Goidelic"],
            ["c1-4-1-1-0", "Manx"],
            ["c1-4-1-1-1", "Scottish Gaelic"],
            ["c1-4-1-1-2", "Irish"],
            ["c1-4-1-1-3", "Gaelic"],
            ["c1-4-1-2", "Gaulish"],
            ["c1-4-2", "Shelta"],
            ["c1-4-3", "Greek"],
            ["c1-4-4", "Balto-Slavic"],
            ["c1-4-4-0", "Baltic languages"],
            ["c1-4-4-1", "Slavonic"],
            ["c1-4-4-1-0", "West Slavonic"],
            ["c1-4-4-1-0-0", "Czech"],
            ["c1-4-4-1-0-1", "Polish"],
            ["c1-4-4-1-1", "East Slavonic"],
            ["c1-4-4-1-1-0", "Russian"],
            ["c1-4-4-1-1-1", "Ukrainian"],
            ["c1-4-4-1-2", "South Slavonic"],
            ["c1-4-4-1-2-0", "Serbian and Croatian"],
            ["c1-4-4-1-2-1", "Croatian"],
            ["c1-4-4-1-2-2", "Church Slavonic"],
            ["c1-4-4-1-2-3", "Serbian"],
            ["c1-4-4-1-2-4", "Bulgarian"],
            ["c1-4-4-1-2-5", "Slovene"],
            ["c1-4-5", "Hittite"],
            ["c1-4-6", "Italic"],
            ["c1-4-6-0", "Latin"],
            ["c1-4-6-1", "Romance"],
            ["c1-4-6-1-0", "Italo-Western"],
            ["c1-4-6-1-0-0", "Italian"],
            ["c1-4-6-1-0-1", "Gallo-Romance"],
            ["c1-4-6-1-0-1-0", "Catalan"],
            ["c1-4-6-1-0-1-1", "French"],
            ["c1-4-6-1-0-1-1-0", "Law French"],
            ["c1-4-6-1-0-1-1-1", "Canadian French"],
            ["c1-4-6-1-0-1-1-2", "Norman"],
            ["c1-4-6-1-0-1-1-3", "Picard"],
            ["c1-4-6-1-0-1-1-4", "Walloon"],
            ["c1-4-6-1-0-1-2", "Gallo-Italic"],
            ["c1-4-6-1-0-1-3", "Occitan"],
            ["c1-4-6-1-0-1-4", "Franco-Provençal"],
            ["c1-4-6-1-0-2", "Ibero-Romance"],
            ["c1-4-6-1-0-2-0", "Portuguese"],
            ["c1-4-6-1-0-2-1", "Spanish"],
            ["c1-4-6-1-1", "Eastern Romance"],
            ["c1-4-6-1-1-0", "Romanian"],
            ["c1-4-6-1-2", "Southern Romance"],
            ["c1-4-6-1-2-0", "Sardinian"],
            ["c1-4-6-1-2-1", "Corsican"],
            ["c1-4-6-2", "Osco-Umbrian"],
            ["c1-4-7", "South Caucasian"],
            ["c1-4-7-0", "Georgian"],
            ["c1-4-8", "Indo-Iranian"],
            ["c1-4-8-0", "Indo-Aryan"],
            ["c1-4-8-0-0", "Panjabi"],
            ["c1-4-8-0-1", "Romani"],
            ["c1-4-8-0-2", "Urdu"],
            ["c1-4-8-0-3", "Gujarati"],
            ["c1-4-8-0-4", "Hindi"],
            ["c1-4-8-0-5", "Sinhala"],
            ["c1-4-8-0-6", "Rajasthani"],
            ["c1-4-8-0-7", "Bengali"],
            ["c1-4-8-0-8", "Nepali"],
            ["c1-4-8-0-9", "Assamese"],
            ["c1-4-8-0-10", "Pali"],
            ["c1-4-8-0-11", "Sanskrit"],
            ["c1-4-8-0-12", "Marathi"],
            ["c1-4-8-0-13", "Kashmiri"],
            ["c1-4-8-1", "Iranian"],
            ["c1-4-8-1-0", "Kurdish"],
            ["c1-4-8-1-1", "Pashto"],
            ["c1-4-8-1-2", "Persian"],
            ["c1-4-8-1-3", "Avestan"],
            ["c1-4-9", "Germanic"],
            ["c1-4-9-0", "North Germanic"],
            ["c1-4-9-0-0", "Swedish"],
            ["c1-4-9-0-1", "Icelandic"],
            ["c1-4-9-0-2", "Norwegian"],
            ["c1-4-9-0-3", "Faroese"],
            ["c1-4-9-0-4", "Danish"],
            ["c1-4-9-0-5", "early Scandinavian"],
            ["c1-4-9-0-6", "Norn"],
            ["c1-4-9-1", "East Germanic"],
            ["c1-4-9-1-0", "Gothic"],
            ["c1-4-9-2", "West Germanic"],
            ["c1-4-9-2-0", "Frankish"],
            ["c1-4-9-2-1", "Dutch"],
            ["c1-4-9-2-1-0", "Flemish"],
            ["c1-4-9-2-1-1", "Afrikaans"],
            ["c1-4-9-2-2", "Old Saxon"],
            ["c1-4-9-2-2-0", "Low German"],
            ["c1-4-9-2-3", "Frisian"],
            ["c1-4-9-2-4", "German"],
            ["c1-4-9-2-4-0", "Yiddish"],
            ["c1-4-10", "Albanian"],
            ["c1-5", "Dravidian"],
            ["c1-5-0", "Kannada"],
            ["c1-5-1", "Tamil"],
            ["c1-5-2", "Telugu"],
            ["c1-5-3", "Malayalam"],
            ["c1-5-4", "Malto"],
            ["c1-6", "Native American languages"],
            ["c1-6-0", "North American languages"],
            ["c1-6-0-0", "Algic"],
            ["c1-6-0-0-0", "Beothuk"],
            ["c1-6-0-0-1", "Wiyot"],
            ["c1-6-0-0-2", "Algonquian"],
            ["c1-6-0-0-2-0", "Blackfoot"],
            ["c1-6-0-0-2-1", "Ojibwa"],
            ["c1-6-0-0-2-2", "Massachusett"],
            ["c1-6-0-0-2-3", "Narragansett"],
            ["c1-6-0-0-2-4", "Cree"],
            ["c1-6-0-0-2-5", "Lenape"],
            ["c1-6-0-0-2-5-0", "Unami Delaware"],
            ["c1-6-0-0-2-5-1", "Munsee"],
            ["c1-6-0-0-2-6", "Maliseet-Passamaquoddy"],
            ["c1-6-0-0-2-7", "Algonquin"],
            ["c1-6-0-0-2-8", "Abenaki"],
            ["c1-6-0-0-2-9", "Powhatan"],
            ["c1-6-0-1", "Iroquoian"],
            ["c1-6-0-2", "Penutian"],
            ["c1-6-0-2-0", "Chinookan"],
            ["c1-6-0-2-1", "Plateau Penutian"],
            ["c1-6-0-2-2", "Chinook Jargon"],
            ["c1-6-0-2-3", "Yokuts"],
            ["c1-6-0-3", "Muskogean"],
            ["c1-6-0-3-0", "Creek"],
            ["c1-6-0-3-1", "Choctaw"],
            ["c1-6-0-4", "Uto-Aztecan"],
            ["c1-6-0-4-0", "Pima-Papago"],
            ["c1-6-0-4-1", "Hopi"],
            ["c1-6-0-4-2", "Nahuatl"],
            ["c1-6-0-5", "Hokan"],
            ["c1-6-0-5-0", "Karok"],
            ["c1-6-0-5-1", "Washo"],
            ["c1-6-0-6", "Na-Dene"],
            ["c1-6-0-6-0", "Haida"],
            ["c1-6-0-6-1", "Nuclear Na-Dene"],
            ["c1-6-0-6-1-0", "Athapaskan"],
            ["c1-6-0-6-1-0-0", "Navajo"],
            ["c1-6-0-6-1-1", "Tlingit"],
            ["c1-6-0-7", "Siouan"],
            ["c1-6-0-7-0", "Sioux"],
            ["c1-6-0-8", "Salishan"],
            ["c1-6-0-9", "Wakashan"],
            ["c1-6-0-9-0", "Nootka"],
            ["c1-6-0-10", "Caddoan"],
            ["c1-6-1", "South American languages"],
            ["c1-6-1-0", "Yanomamo"],
            ["c1-6-1-1", "Jivaro"],
            ["c1-6-1-2", "Mayan"],
            ["c1-6-1-3", "Mapuche"],
            ["c1-6-1-4", "Arawakan"],
            ["c1-6-1-5", "Cariban"],
            ["c1-6-1-5-0", "Galibi"],
            ["c1-6-1-5-1", "Macusi"],
            ["c1-6-1-6", "Quechua"],
            ["c1-6-1-7", "Tupi-Guarani"],
            ["c1-7", "Uralic"],
            ["c1-7-0", "Finnish"],
            ["c1-7-1", "Hungarian"],
            ["c1-8", "Central and Eastern Asian languages"],
            ["c1-8-0", "Altaic"],
            ["c1-8-0-0", "Turkic"],
            ["c1-8-0-0-0", "Turkish"],
            ["c1-8-0-0-1", "Turki"],
            ["c1-8-0-1", "Mongolian"],
            ["c1-8-0-2", "Tungusic"],
            ["c1-8-1", "Austroasiatic"],
            ["c1-8-1-0", "Mon-Khmer"],
            ["c1-8-1-0-0", "Mon"],
            ["c1-8-1-0-1", "Khmer"],
            ["c1-8-1-0-2", "Vietnamese"],
            ["c1-8-1-1", "Munda"],
            ["c1-8-2", "Japanese"],
            ["c1-8-3", "Korean"],
            ["c1-8-4", "Sino-Tibetan"],
            ["c1-8-4-0", "Tibeto-Burman"],
            ["c1-8-4-0-0", "Tibetan"],
            ["c1-8-4-0-1", "Burmese"],
            ["c1-8-4-1", "Chinese"],
            ["c1-8-5", "Thai"],
            ["c1-9", "Middle Eastern and Afro-Asiatic languages"],
            ["c1-9-0", "Afro-Asiatic"],
            ["c1-9-0-0", "Chadic"],
            ["c1-9-0-0-0", "Hausa"],
            ["c1-9-0-1", "Egyptian"],
            ["c1-9-0-1-0", "Coptic"],
            ["c1-9-0-2", "Cushitic"],
            ["c1-9-0-3", "Semitic"],
            ["c1-9-0-3-0", "Akkadian"],
            ["c1-9-0-3-0-0", "Assyrian"],
            ["c1-9-0-3-1", "Hebrew"],
            ["c1-9-0-3-2", "Aramaic"],
            ["c1-9-0-3-2-0", "Syriac"],
            ["c1-9-0-3-3", "Arabic"],
            ["c1-9-0-3-3-0", "Maltese"],
            ["c1-9-0-3-4", "Ethiopic"],
            ["c1-9-0-3-4-0", "Amharic"],
            ["c1-9-0-4", "Somali"],
            ["c1-9-0-5", "Berber"],
            ["c1-10", "Sumerian"],
            ["c1-11", "African languages"],
            ["c1-11-0", "Niger-Congo"],
            ["c1-11-0-0", "Atlantic"],
            ["c1-11-0-0-0", "Senegambian"],
            ["c1-11-0-0-0-0", "Mooré"],
            ["c1-11-0-0-0-1", "Fula"],
            ["c1-11-0-0-0-2", "Wolof"],
            ["c1-11-0-1", "Mande"],
            ["c1-11-0-1-0", "Manding"],
            ["c1-11-0-1-1", "Mende"],
            ["c1-11-0-2", "Atlantic-Congo"],
            ["c1-11-0-2-0", "Benue-Congo"],
            ["c1-11-0-2-0-0", "Igbo"],
            ["c1-11-0-2-0-1", "Kwa"],
            ["c1-11-0-2-0-1-0", "Gbe"],
            ["c1-11-0-2-0-1-1", "Akan"],
            ["c1-11-0-2-0-1-1-0", "Ashanti"],
            ["c1-11-0-2-0-1-1-1", "Twi"],
            ["c1-11-0-2-0-1-1-2", "Fante"],
            ["c1-11-0-2-0-2", "Bantu"],
            ["c1-11-0-2-0-2-0", "Nguni"],
            ["c1-11-0-2-0-2-0-0", "Zulu"],
            ["c1-11-0-2-0-2-0-1", "Ndebele"],
            ["c1-11-0-2-0-2-0-2", "Xhosa"],
            ["c1-11-0-2-0-2-1", "Sotho"],
            ["c1-11-0-2-0-2-1-0", "Setswana"],
            ["c1-11-0-2-0-2-1-1", "Sotho-Tswana"],
            ["c1-11-0-2-0-2-2", "Venda"],
            ["c1-11-0-2-0-2-3", "Shona"],
            ["c1-11-0-2-0-2-4", "Swahili"],
            ["c1-11-0-2-0-2-5", "Nyamwezi"],
            ["c1-11-0-2-0-2-6", "Nyanja"],
            ["c1-11-0-2-0-2-6-0", "Chichewa"],
            ["c1-11-0-2-0-2-7", "Kongo"],
            ["c1-11-0-2-0-2-8", "Luganda"],
            ["c1-11-0-2-0-2-9", "Kimbundu"],
            ["c1-11-0-2-0-3", "Yoruba"],
            ["c1-11-1", "Khoisan"],
            ["c1-11-1-0", "Nama"],
            ["c1-11-1-1", "Khoekhoe"],
            ["c1-11-2", "Nilo-Saharan"],
            ["c1-11-2-0", "Nilotic"],
            ["c1-11-2-0-0", "Dinka"],
            ["c1-11-2-0-1", "Masai"],
            ["c1-12", "Creoles and pidgins"],
            ["c1-12-0", "Sranan"],
            ["c1-12-1", "Melanesian pidgins"],
            ["c1-12-2", "Haitian Creole"],
            ["c1-12-3", "Jamaican Creole"],
            ["c1-12-4", "French Creole"],
            ["c1-12-5", "Isicamtho"],
            ["c1-13", "English"],
            ["c1-14", "Eskimo-Aleut"],
            ["c1-14-0", "Inuit"],
            ["c1-14-0-0", "Greenlandic"],
            ["c1-14-0-1", "Inupiaq"],
            ["c1-14-1", "Yupik"],
            ["c2-0", "Britain and Ireland"],
            ["c2-0-0", "Ireland"],
            ["c2-0-0-0", "Northern Ireland"],
            ["c2-0-1", "Britain"],
            ["c2-0-1-0", "Wales"],
            ["c2-0-1-1", "England"],
            ["c2-0-1-1-0", "Eastern England"],
            ["c2-0-1-1-1", "English Midlands"],
            ["c2-0-1-1-2", "Northern England"],
            ["c2-0-1-1-2-0", "Yorkshire"],
            ["c2-0-1-1-2-1", "North-East England"],
            ["c2-0-1-1-2-2", "North-West England"],
            ["c2-0-1-1-3", "Southern England"],
            ["c2-0-1-1-3-0", "South-West England"],
            ["c2-0-1-1-3-1", "London"],
            ["c2-0-1-1-3-2", "South-East England"],
            ["c2-0-1-2", "Scotland"],
            ["c2-0-1-2-0", "Northern Scotland"],
            ["c2-0-1-2-1", "Orkney"],
            ["c2-0-1-2-2", "Southern Scotland"],
            ["c2-0-1-2-3", "Shetland"],
            ["c2-0-1-3", "Isle of Man"],
            ["c2-1", "Australasia"],
            ["c2-1-0", "New Zealand"],
            ["c2-1-1", "Australia"],
            ["c2-2", "North America"],
            ["c2-2-0", "United States"],
            ["c2-2-0-0", "United States Midland"],
            ["c2-2-0-1", "Southern United States"],
            ["c2-2-0-2", "Eastern United States"],
            ["c2-2-0-3", "Northern United States"],
            ["c2-2-0-4", "African-American"],
            ["c2-2-0-5", "Western United States"],
            ["c2-2-1", "Hawaii"],
            ["c2-2-2", "Canada"],
            ["c2-3", "Africa"],
            ["c2-3-0", "West Africa"],
            ["c2-3-1", "South Africa"],
            ["c2-3-2", "East Africa"],
            ["c2-4", "South-East Asia"],
            ["c2-5", "India"],
            ["c2-6", "Caribbean"],
            ["c2-6-0", "Jamaica"],
            ["c3-0", "derogatory"],
            ["c3-1", "ironic"],
            ["c3-2", "regional"],
            ["c3-3", "poetic and literary"],
            ["c3-4", "historical"],
            ["c3-5", "irregular"],
            ["c3-6", "disused"],
            ["c3-7", "archaic"],
            ["c3-8", "humorous"],
            ["c3-9", "rare"],
            ["c3-10", "allusive"],
            ["c3-11", "colloquial and slang"],
            ["c3-11-0", "rhyming slang"],
            ["c3-11-1", "university slang"],
            ["c3-11-2", "cant"],
            ["c3-11-3", "school slang"],
            ["c3-11-4", "coarse slang"],
            ["c3-12", "euphemistic"]
        ];
        var nameList = ['Subject Categories', 'Origin Categories', 'Region Categories', 'Usage Categories'];

        var cates = $(thetab).attr('cates');
        var cateList = cates.split("_");
        var head = ''
        for (z = 0; z < cateList.length; z++) {
            var idz = cateList[z];
            var bb = idz.split("-");
            var namei = parseInt(bb[0][1]);
            console.log(namei)
            head += "<div class='cateHead'>" + nameList[namei] + "</div>";
            var start = 0;
            head += "<div class='cateDetail'>";
            for (k = 2; k <= bb.length; k++) {
                aleafid = bb.slice(0, k).join("-");
                console.log(aleafid);
                for (i = start; i < idtocate.length; i++) {
                    if (aleafid == idtocate[i][0]) {
                        if (start != 0) { head += '»'; }
                        head += "<span class='aCate'>" + idtocate[i][1] + "</span>";
                        start = i;
                        break;
                    }
                }
            }
            head += "</div>";
        }
        xx.html(head);
        xx.attr('status', 'loaded');
    }


    if (a) { $(thetab).attr('class', 'tab3') }
    else { $(thetab).attr('class', 'tab3clicked') }
    $(thetab).siblings("[type='" + type + "']").attr('class', 'tab3');

    for (i = 0; i < typelist.length; i++) {
        var xtype = typelist[i]
        if (xtype != type) { $(thetab).siblings("[type='" + xtype + "']").attr('class', 'tab3'); }
    }
    for (i = 0; i < typelist.length; i++) {
        var xtype = typelist[i]
        if (xtype != type) { $(thetab).parent().siblings("[type='" + xtype + "']").hide(); }
        else {
            if (a) { $(thetab).parent().siblings("[type='" + type + "']").hide(); }
            else { $(thetab).parent().siblings("[type='" + type + "']").show(); }
        }
    }
    $(".tab3").attr('status', 'bound');
}

function goBack() {
    window.history.back(-1);
    $(".backbtn").hide();
}


function smartJump(jtarget) {
    var aa = $(jtarget).parents()
    for (i = 0; i < aa.length; i++) {
        a = aa[i];
        if (a.getAttribute('class') == 'quotationsBlock') {
            a.style.display = 'block';
            break;
        }
    }
    var browser = {
        versions: function () {
            var u = navigator.userAgent;
            return {
                ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
            };
        }(),
    }
    if (!browser.versions.ios) { $(".backbtn").show(); }
}



var excuted = false;

$(document).ready(function () {
    if (excuted == false) {
        
        $("karx").each(function () {
            $(this).attr("lang", "en");
        });

        $("karx .extractFrom").each(function () {
            $(this).contents().filter(function () {
                return this.nodeType === 3;
            }).wrap('<extracttext></extracttext>');
            $(this).prepend("<strong>Extracted from: </strong>");
        });

        $('karx hv').html(function(index, html){
            return html.replace('&gt; as variants', 'Variants: ');
        });

        $("karx .pnSect").each(function () {
            $(this).prepend("<strong>Pronunciation: </strong>");
            $(this).append("<a class='botton99' onclick='toggleheads(this)'>(show more)</a>");
            for (current = $(this).next(); current.hasClass("headfold"); current = current.next()) {
                // current.addClass("hidingheads");
                // console.log(current.html());
            }
            current.addClass("headsnext");
            $(this).nextUntil("div.headsnext").wrapAll("<div class='heads'></div>");
            $(this).addClass("hidenextheads");
        });

        $("karx .obs").parent().append(" <a class='botton07' onclick='toggleObs(this)'>(show obs)</a>");
        $("karx .obs").parent().addClass("hiddenobs");
        $("karx .hiddenobs").each(function (index) {
            $(this).nextUntil("div.publicationInfo").wrapAll("<div class='obspage'></div>");
        });

        $("karx .lemSectType").each(function (index) {
            $(this).append(" <a class='botton06' onclick='toggleSection(this)'>(show section)</a>");
            $(this).parent().addClass("hiddensect");
        });

        $('karx [id^="etymology"]').each(function (index) {
            strong = $(this).find(".text").find("strongsans");
            strong.addClass("strong");
            strong.after("<a class='botton03' onclick='toggleOrigin(this)'> [+show more] </a>");
            $(this).find(".text").contents().filter(function () {
                return this.nodeType === 3;
            }).wrap('<text></text>');
            $(this).addClass('hiddenetymo');
        });

        $('karx [id^="forms"]').each(function (index) {
            $(this).addClass('formsec');
        });

        $("karx entryobs").each(function (index) {
            $(this).next().after("<a class='botton08' onclick='toggleObsDef(this)'>[+show obs]</a> ");
            var obsbutton = $(this).next().next();
            var obsdefparent = $(this).parent();
            if (obsdefparent.hasClass("senseWrap") ||
                obsdefparent.hasClass("senseWrapIndent")
            ) {
                obsdefparent.addClass("obsdef1");
                obsbutton.addClass("wraptype");
            } else {
                obsdefparent.addClass("obsdef2");
                obsbutton.addClass("grouptype");
                obsdefparent.contents().filter(function () {
                    return this.nodeType === 3;
                }).wrap('<text></text>');
            };
        });

        $("karx lemmaobs").each(function (index) {
            $(this).next().after("<a class='botton08' onclick='toggleObsDef(this)'>[+show obs]</a> ");
            var obsbutton = $(this).next().next();
            var obsdefparent = $(this).parent();
            if (obsdefparent.hasClass("senseWrap") ||
                obsdefparent.hasClass("senseWrapIndent")
            ) {
                obsdefparent.addClass("obsdef1");
                obsbutton.addClass("wraptype");
            } else {
                obsdefparent.addClass("obsdef2");
                obsbutton.addClass("grouptype");
                obsdefparent.contents().filter(function () {
                    return this.nodeType === 3;
                }).wrap('<text></text>');
            };
        });

        var thispses = [];
        kk = 0;
        $("karx h1").each(function (index) {
            kk = kk + 1;
            $(this).attr("id", "psjump" + kk.toString());
            var cloned_head = $(this).clone(true);
            cloned_head.children().wrapAll("<span class=headlink />");
            head_link = cloned_head.find(".headlink");
            head_link.find("img").remove();
            head_link.find(".botton07").remove();
            var span_no = $('<span />').attr({ 'class': 'jumpno', 'text': kk.toString() + '. ' });
            var herf_node = $('<a />').attr({ 'href': "#" + "psjump" + kk.toString() }).prepend(head_link).prepend(span_no)

            thispses.push(herf_node);
        });

        var jumphead = $('<strong />').text("Jumps: ");
        var jumps = $('<div />').attr({ 'class': "jumps" }).append(jumphead);
        
        console.log(jumps[0])
        for (var i = 0; i < thispses.length; i++) {
            jumps.append(thispses[i]);
        }

        if (thispses.length > 1) {
            $("karx h1").each(function (index) {
                $(this).after(jumps.clone(true));
            });
        }
    };
    excuted = true;
});


function toggleObsDef(thethis) {
    if (thethis.classList.contains("wraptype")) {
        thispa = thethis.parentNode;
        if (thispa.classList.contains("obsdef1")) {
            thispa.classList.remove("obsdef1");
            thethis.innerHTML = "[-hide obs]";
        } else {
            thispa.classList.add("obsdef1");
            thethis.innerHTML = "[+show obs]";
        }
    }
    if (thethis.classList.contains("grouptype")) {
        thispa = thethis.parentNode;
        if (thispa.classList.contains("obsdef2")) {
            thispa.classList.remove("obsdef2");
            thethis.innerHTML = "[-hide obs]";
        } else {
            thispa.classList.add("obsdef2");
            thethis.innerHTML = "[+show obs]";
        }
    }
};


function toggleSection(thethis) {
    thepa = thethis.parentNode.parentNode;
    if (thepa.classList.contains("hiddensect")) {
        thepa.classList.remove("hiddensect");
        thepa.classList.add("shownsect");
        thethis.innerHTML = "(hide section)";
    } else {
        thepa.classList.add("hiddensect");
        thepa.classList.remove("shownsect");
        thethis.innerHTML = "(show section)";
    }
};

function toggleOrigin(thethis) {
    thispa = thethis.parentNode.parentNode;
    if (thispa.classList.contains("hiddenetymo")) {
        thispa.classList.remove("hiddenetymo");
        thispa.classList.add("shownetymo");
        thethis.innerHTML = " [-hide more] ";
    } else {
        thispa.classList.add("hiddenetymo");
        thispa.classList.remove("shownetymo");
        thethis.innerHTML = " [+show more]";
    }
};

function toggleObs(thethis) {
    thispa = thethis.parentNode;
    if (thispa.classList.contains("hiddenobs")) {
        thispa.classList.remove("hiddenobs");
        thispa.classList.add("shownobs");
        thethis.innerHTML = "(hide obs)";
    } else {
        thispa.classList.add("hiddenobs");
        thispa.classList.remove("shownobs");
        thethis.innerHTML = "(show obs)";
    }
};

function toggleheads(thethis) {
    thispa = thethis.parentNode;
    if (thispa.classList.contains("hidenextheads")) {
        thispa.classList.remove("hidenextheads");
        thispa.classList.add("showingheads");
        thethis.innerHTML = "(hide more)";
    } else {
        thispa.classList.add("hidenextheads");
        thispa.classList.remove("showingheads");
        thethis.innerHTML = "(show more)";
    }
};